Subject: Re: [PATCH net] net: sctp: fix ipv6 ipsec encryption bug in sctp_v6_xmit

From: Daniel Borkmann <[email-masked]>
Date: Tue, 10 Sep 2013 21:08:41 +0200

On 09/10/2013 08:58 PM, Vlad Yasevich wrote:
[...]
> I don't think this is actually the correct thing to do.
> 1) Every transmit has a possibility of changing np and thus changing
> the result of getsockname() and getpeername()
> 2) You will end up with a route lookup on every packet since np->dst_cookie is not set properly.
>
> I wonder if it would solve things if you simply pass the flowi cached in the transport to ip6_xmit().
>
> If not, then probably sctp_v6_get_dst() needs to be updated to find the
> correct route, so then it can be cached in the transport along with the
> flowi and used on output.

Ok, let me have a look at these alternatives tomorrow first thing in the
morning, and I'll respin.

Thanks,
Daniel